Bug 1424992 (CVE-2017-2626) - CVE-2017-2626 libICE: weak entropy usage in session keys
Summary: CVE-2017-2626 libICE: weak entropy usage in session keys
Keywords:
Status: CLOSED WONTFIX
Alias: CVE-2017-2626
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1427715 1431691
Blocks: 1424993
TreeView+ depends on / blocked
 
Reported: 2017-02-20 09:34 UTC by Martin Prpič
Modified: 2019-09-29 14:07 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
It was discovered that libICE used a weak entropy to generate keys. A local attacker could potentially use this flaw for session hijacking using the information available from the process list.
Clone Of:
Environment:
Last Closed: 2017-03-01 00:37:11 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:1865 normal SHIPPED_LIVE Moderate: X.org X11 libraries security, bug fix and enhancement update 2017-08-01 17:50:43 UTC

Description Martin Prpič 2017-02-20 09:34:20 UTC
It was found that libICE depends on a weak entropy mechanism, possibly allowing attackers to attach to the session of a different user.

Comment 1 Martin Prpič 2017-02-20 09:34:23 UTC
Acknowledgments:

Name: Eric Sesterhenn (X41 D-Sec GmbH)

Comment 2 Doran Moppert 2017-02-27 06:13:40 UTC
Adjusted CVSS scoring and reduced impact to Low based on requiring the attacker needing to be logged in locally, and ICE's only visible use in RHEL being XSMP session managers, whose disruption is of limited impact.

Comment 5 Doran Moppert 2017-03-01 00:17:30 UTC
Created libICE tracking bugs for this issue:

Affects: fedora-all [bug 1427715]

Comment 6 Eric Christensen 2017-07-26 13:56:36 UTC
Statement:

Red Hat Product Security has rated this issue as having Low security impact. This issue is not currently planned to be addressed in future updates. For additional information, refer to the Issue Severity Classification: https://access.redhat.com/security/updates/classification/.

Comment 8 errata-xmlrpc 2017-08-01 16:04:25 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2017:1865 https://access.redhat.com/errata/RHSA-2017:1865


Note You need to log in before you can comment on or make changes to this bug.